import { getTranslations } from "next-intl/server";

import { AnimatedInfoScreen, LottieAnimation } from "@/components/widgets";
import { ROUTES } from "@/shared/constants/client-routes";
import { ELottieKeys } from "@/shared/constants/lottie";

export default async function AppreciateChoice() {
  const t = await getTranslations("AppreciateChoice");

  const animationTexts = [
    t("descriptions.1"),
    t("descriptions.2"),
    t("descriptions.3"),
  ];

  return (
    <AnimatedInfoScreen
      lottieAnimation={
        <LottieAnimation loadKey={ELottieKeys.loaderCheckMark} />
      }
      title={t("title")}
      animationTime={9000}
      animationTexts={animationTexts}
      buttonText={t("button")}
      nextRoute={ROUTES.retainingFunnelWhatReason()}
    />
  );
}
